Skip to main content
GET
/
spaces
List spaces
curl --request GET \
  --url https://api.bookingshake.io/api/spaces \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.bookingshake.io/api/spaces"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.bookingshake.io/api/spaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "value": "Lp9Xt2Kj5mQw",
    "label": "Salle de conférence A"
  },
  {
    "value": "Hn4Yr8Pl6nZx",
    "label": "Salle de conférence B"
  },
  {
    "value": "Rt3Ws7Gk2bVc",
    "label": "Grand Ballroom"
  },
  {
    "value": "Pq5Jn9Zm4fLt",
    "label": "Terrasse panoramique"
  }
]
{
"message": "invalid token"
}
{
"message": "Rate limit exceeded",
"data": {
"limit": 60,
"window": "60 seconds",
"remaining": 0,
"resetAt": "2025-11-17T14:30:00.000Z",
"retryAfter": 45
}
}
{
"message": "error"
}

Authorizations

Authorization
string
header
required

Bearer authentication using your BookingShake API key. Retrieve your API key from Settings > Integrations in your BookingShake dashboard.

Response

List of spaces retrieved successfully

value
string

Space ID

Example:

"Lp9Xt2Kj5mQw"

label
string

Space display name (may be in French or configured language)

Example:

"Salle de conférence A"